UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
com.latencybusters.lbm.LBMMonitorSource Class Reference

## Public Member Functions
| LBMMonitorSource (int formatter, String formatOpts, int transport, String transportOpts) throws LBMException
void | close () throws LBMException
void | start (LBMContext lbmctx, String appSourceId, int secs) throws LBMException
void | start (LBMReceiver lbmrcv, String appSourceId, int secs) throws LBMException
void | start (LBMSource lbmsrc, String appSourceId, int secs) throws LBMException
void | start (LBMSSource lbmssrc, String appSourceId, int secs) throws LBMException
void | start (LBMEventQueue lbmevq, String appSourceId, int secs) throws LBMException
void | stop (LBMContext lbmctx) throws LBMException
void | stop (LBMReceiver lbmrcv) throws LBMException
void | stop (LBMSource lbmsrc) throws LBMException
void | stop (LBMSSource lbmssrc) throws LBMException
void | stop (LBMEventQueue lbmevq) throws LBMException
void | sample () throws LBMException

## Protected Member Functions
void | finalize () throws LBMException

## Detailed Description

LBMMonitorSource class.

## Constructor & Destructor Documentation

com.latencybusters.lbm.LBMMonitorSource.LBMMonitorSource | ( | int | formatter,
|  | String | formatOpts,
|  | int | transport,
|  | String | transportOpts
| ) |  | throws LBMException

Create an LBM Monitoring Source Controller. This creates an instance of an LBM Monitoring Source Controller. On some JVMs this object may be garbage collected prematurely if it is not referenced after creation; therefore, it may be prudent to explicitly call its close method at a point in the program logic where it would no longer be required.

See also
  close

Parameters

  formatter | Format module type
  formatOpts | A block of data which is passed to the format module's initialization function. This may be used to pass configuration options to the format module.
  transport | Transport module type
  transportOpts | A block of data which is passed to the transport module's initialization function. This may be used to pass configuration options to the transport module.

Exceptions

  LBMException | if any error occurs creating the monitor source.

## Member Function Documentation

void com.latencybusters.lbm.LBMMonitorSource.close | ( |  | ) | throws LBMException

Destroy a source monitoring controller. Destroys a monitoring controller. Any contexts, sources, or receivers currently registered to the controller will be automatically unregistered.

Exceptions

  LBMException | if any error occurs destroying the monitor source.

Referenced by com.latencybusters.lbm.LBMMonitorSource.finalize().

void com.latencybusters.lbm.LBMMonitorSource.finalize | ( |  | ) | throws LBMException
| protected

This method is for internal use only, and is not supported for customer applications.

References com.latencybusters.lbm.LBMMonitorSource.close().

void com.latencybusters.lbm.LBMMonitorSource.sample | ( |  | ) | throws LBMException

Gather statistics for on-demand objects.

Exceptions

  LBMException | if any error occurs gathering statistics.

void com.latencybusters.lbm.LBMMonitorSource.start | ( | LBMContext | lbmctx,
|  | String | appSourceId,
|  | int | secs
| ) |  | throws LBMException

Register a context for monitoring. Monitoring may be done at regular intervals, specified by the secs parameter. As an alternative, passing zero for secs will not automatically monitor the context, but instead require an explicit call to the sample() method.

If monitoring is to be used as a form of heartbeat, the preferred method is to call the sample() method from a context thread or event queue timer callback. This ensures that the object actually processing the messages is the one generating the monitoring statistics, guaranteeing that it is truly acting as a heartbeat mechanism.

Parameters

  lbmctx | LBMContext to be monitored
  appSourceId | String containing an application-specified source identifier. If null or an empty string is passed, the application name will be used.
  secs | Interval (in seconds) at which monitoring information will be gathered and sent. If zero, the context will not be automatically monitored, but instead will be monitored upon a call to the sample() method.

Exceptions

  LBMException | if any error occurs enabling monitoring for the context.

void com.latencybusters.lbm.LBMMonitorSource.start | ( | LBMReceiver | lbmrcv,
|  | String | appSourceId,
|  | int | secs
| ) |  | throws LBMException

Register a receiver for monitoring. Monitoring may be done at regular intervals, specified by the secs parameter. As an alternative, passing zero for secs will not automatically monitor the context, but instead require an explicit call to the sample() method.

If monitoring is to be used as a form of heartbeat, the preferred method is to call the sample() method from a context thread or event queue timer callback. This ensures that the object actually processing the messages is the one generating the monitoring statistics, guaranteeing that it is truly acting as a heartbeat mechanism.

Parameters

  lbmrcv | LBMReceiver to be monitored
  appSourceId | String containing an application-specified source identifier. If null or an empty string is passed, the application name will be used.
  secs | Interval (in seconds) at which monitoring information will be gathered and sent. If zero, the receiver will not be automatically monitored, but instead will be monitored upon a call to the sample() method.

Exceptions

  LBMException | if any error occurs enabling monitoring for the receiver.

void com.latencybusters.lbm.LBMMonitorSource.start | ( | LBMSource | lbmsrc,
|  | String | appSourceId,
|  | int | secs
| ) |  | throws LBMException

Register a source for monitoring. Monitoring may be done at regular intervals, specified by the secs parameter. As an alternative, passing zero for secs will not automatically monitor the source, but instead require an explicit call to the sample() method.

If monitoring is to be used as a form of heartbeat, the preferred method is to call the sample() method from a context thread or event queue timer callback. This ensures that the object actually processing the messages is the one generating the monitoring statistics, guaranteeing that it is truly acting as a heartbeat mechanism.

Parameters

  lbmsrc | LBMSource to be monitored
  appSourceId | String containing an application-specified source identifier. If null or an empty string is passed, the application name will be used.
  secs | Interval (in seconds) at which monitoring information will be gathered and sent. If zero, the source will not be automatically monitored, but instead will be monitored upon a call to the sample() method.

Exceptions

  LBMException | if any error occurs enabling monitoring for the source.

void com.latencybusters.lbm.LBMMonitorSource.start | ( | LBMSSource | lbmssrc,
|  | String | appSourceId,
|  | int | secs
| ) |  | throws LBMException

Register a smart source for monitoring. Monitoring may be done at regular intervals, specified by the secs parameter. As an alternative, passing zero for secs will not automatically monitor the source, but instead require an explicit call to the sample() method.

If monitoring is to be used as a form of heartbeat, the preferred method is to call the sample() method from a context thread or event queue timer callback. This ensures that the object actually processing the messages is the one generating the monitoring statistics, guaranteeing that it is truly acting as a heartbeat mechanism.

Parameters

  lbmssrc | LBMSSource to be monitored
  appSourceId | String containing an application-specified smart source identifier. If null or an empty string is passed, the application name will be used.
  secs | Interval (in seconds) at which monitoring information will be gathered and sent. If zero, the smart source will not be automatically monitored, but instead will be monitored upon a call to the sample() method.

Exceptions

  LBMException | if any error occurs enabling monitoring for the source.

void com.latencybusters.lbm.LBMMonitorSource.start | ( | LBMEventQueue | lbmevq,
|  | String | appSourceId,
|  | int | secs
| ) |  | throws LBMException

Register an event queue for monitoring. Monitoring may be done at regular intervals, specified by the secs parameter. As an alternative, passing zero for secs will not automatically monitor the source, but instead require an explicit call to the sample() method.

If monitoring is to be used as a form of heartbeat, the preferred method is to call the sample() method from a context thread or event queue timer callback. This ensures that the object actually processing the messages is the one generating the monitoring statistics, guaranteeing that it is truly acting as a heartbeat mechanism.

Parameters

  lbmevq | LBMEventQueue to be monitored
  appSourceId | String containing an application-specified source identifier. If null or an empty string is passed, the application name will be used.
  secs | Interval (in seconds) at which monitoring information will be gathered and sent. If zero, the source will not be automatically monitored, but instead will be monitored upon a call to the sample() method.

Exceptions

  LBMException | if any error occurs enabling monitoring for the event queue.

void com.latencybusters.lbm.LBMMonitorSource.stop | ( | LBMContext | lbmctx | ) | throws LBMException

Terminate monitoring for a context. Unregister a context to prevent further monitoring of that context.

Parameters

  lbmctx | Previously registered LBMContext

Exceptions

  LBMException | if any error occurs disabling monitoring for the context.

void com.latencybusters.lbm.LBMMonitorSource.stop | ( | LBMReceiver | lbmrcv | ) | throws LBMException

Terminate monitoring for a receiver. Unregister a receiver to prevent further monitoring of that receiver.

Parameters

  lbmrcv | Previously registered LBMReceiver

Exceptions

  LBMException | if any error occurs disabling monitoring for the receiver.

void com.latencybusters.lbm.LBMMonitorSource.stop | ( | LBMSource | lbmsrc | ) | throws LBMException

Terminate monitoring for a source. Unregister a source to prevent further monitoring of that source.

Parameters

  lbmsrc | Previously registered LBMSource

Exceptions

  LBMException | if any error occurs disabling monitoring for the source.

void com.latencybusters.lbm.LBMMonitorSource.stop | ( | LBMSSource | lbmssrc | ) | throws LBMException

Terminate monitoring for a smart source. Unregister a smart source to prevent further monitoring of that source.

Parameters

  lbmssrc | Previously registered LBMSSource

Exceptions

  LBMException | if any error occurs disabling monitoring for the smart source.

void com.latencybusters.lbm.LBMMonitorSource.stop | ( | LBMEventQueue | lbmevq | ) | throws LBMException

Terminate monitoring for an event queue. Unregister an event queue to prevent further monitoring of that event queue.

Parameters

  lbmevq | Previously registered LBMEventQueue

Exceptions

  LBMException | if any error occurs disabling monitoring for the event queue.

The documentation for this class was generated from the following file:

- LBMMonitorSource.java